<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-create-join-org-card title="Join the organisation" [wide]="false" routeOnBack="/onboarding/organisation">
  <div class="flex flex-col items-center">
    <div class="text-text-300 w-96">Please input bellow the invitation code you have recieved in e-mail:</div>
    <div class="mt-10 flex flex-col gap-2 items-center">
      <p-inputMask mask="****-****-****-****" [formControl]="invitation" placeholder="____-____-____-____" [style]="{ width: '200px', 'text-align': 'center' }"></p-inputMask>
      <div class="flex items-center justify-center text-sm text-text-300 gap-4 leading-none mt-3 w-96 cursor-pointer" (click)="toogleMore()">
        <i class="pi pi-info-circle"></i>
        <div>I did not received an invitation</div>
        <i *ngIf="!showMore" class="pi pi-chevron-down"></i>
        <i *ngIf="showMore" class="pi pi-chevron-up"></i>
      </div>
      <div *ngIf="showMore" class="text-sm w-80 mt-10">Please check your spam folder or contact the administrator of the issuing organisation</div>
    </div>
  </div>
  <div class="mt-10 pb-20">
    <p-button label="Continue" [disabled]="(invitation.statusChanges | async) !== 'VALID'" (click)="join()" [style]="{ width: '200px' }"></p-button>
  </div>
</app-create-join-org-card>
